API Explorer 1884 endpoints

Get My Consumer Api Product Subscriptions

GET /obp/v7.0.0/my/consumers/CONSUMER_ID/api-product-subscriptions

OBPv7.0.0-getMyConsumerApiProductSubscriptions No role required ConsumerApi-Product-SubscriptionOrganisation

Get the API Product Subscriptions of one of your Consumers, at every bank, with their attributes.

You may read a Consumer here if you created it and it belongs to no Organisation, or if it belongs to an active Organisation you are a member of. Any other CONSUMER_ID answers 404. The consumer key and secret are never returned.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

CONSUMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (17)
api_product_code
api_product_code
api_product_subscription_attribute_id
api_product_subscription_attribute_id
api_product_subscription_id
api_product_subscription_id
api_product_subscriptions
api_product_subscriptions
bank_id
gh.29.uk
consumer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
created_at
created_at
created_by_user_id
name
ACCOUNT_MANAGEMENT_FEE
start_date
2020-01-27
status
type
updated_at
updated_at
value
5987953
attributes
attribute value in form of (name, value)
is_active
false
rate_limiting_id
rate_limiting_id
Example success response
{
  "api_product_subscriptions": [
    {
      "api_product_subscription_id": "api-product-subscription-id-123",
      "bank_id": "gh.29.uk",
      "api_product_code": "1234BW",
      "consumer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "status": "active",
      "start_date": "1100-01-01T00:00:00Z",
      "created_by_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "rate_limiting_id": "rate-limiting-id-123",
      "created_at": "1100-01-01T00:00:00Z",
      "updated_at": "1100-01-01T00:00:00Z",
      "attributes": [
        {
          "api_product_subscription_id": "api-product-subscription-id-123",
          "api_product_subscription_attribute_id": "api-product-subscription-attribute-id-123",
          "name": "STRIPE_SUBSCRIPTION_ID",
          "type": "STRING",
          "value": "sub_1234567890",
          "is_active": true
        }
      ]
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30643: Consumer not found. Please specify the CONSUMER_ID of a Consumer you created or one that belongs to your Organisation.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 getMyConsumerApiProductSubscriptions